Last Comment Bug 310293 - [BeOS] Cannot open menus after workspace change.
: [BeOS] Cannot open menus after workspace change.
Status: RESOLVED FIXED
: fixed1.8
Product: Core Graveyard
Classification: Graveyard
Component: Widget: BeOS (show other bugs)
: Trunk
: x86 BeOS
: -- normal (vote)
: ---
Assigned To: Sergei Dolgov
:
:
Mentors:
Depends on:
Blocks: 266252
  Show dependency treegraph
 
Reported: 2005-09-28 03:47 PDT by Sergei Dolgov
Modified: 2014-12-09 11:27 PST (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch. (851 bytes, patch)
2005-09-28 04:03 PDT, Sergei Dolgov
thesuckiestemail: review+
asa: approval1.8b5+
Details | Diff | Splinter Review
patch (843 bytes, patch)
2005-09-28 10:17 PDT, Sergei Dolgov
no flags Details | Diff | Splinter Review

Description Sergei Dolgov 2005-09-28 03:47:56 PDT
Open some menu from menu bar.
Bring browser to another workspace.
Try to open menu. No luck.

Reason - menus seems to be rather hidden than destroyed in "closing". So they
stay in old workspace.

Remedy - when unhiding popups, bring those always to current workspace.
It is also may be good idea to bring there non-popup dependent windows, like
Preferences, History etc, but it seems much more complicated task. We should
consult Unix people, who are also dealing with multiple workspaces.
Comment 1 Sergei Dolgov 2005-09-28 04:03:28 PDT
Created attachment 197687 [details] [diff] [review]
Patch.

Bringing popup to current workspace before Show()
Comment 2 tqh 2005-09-28 06:41:01 PDT
Comment on attachment 197687 [details] [diff] [review]
Patch.

r=thesuckiestemail@yahoo.se
Comment 3 Sergei Dolgov 2005-09-28 08:45:00 PDT
Landed in trunk.
/cvsroot/mozilla/widget/src/beos/nsWindow.cpp,v  <--  nsWindow.cpp
new revision: 1.96; previous revision: 1.95 
Comment 4 Niels Reedijk 2005-09-28 09:19:56 PDT
Comment on attachment 197687 [details] [diff] [review]
Patch.

BeOS only change. won't affect any other platforms. Requesting approval for the
1.8 branch.
Comment 5 Sergei Dolgov 2005-09-28 10:14:28 PDT
Comment on attachment 197687 [details] [diff] [review]
Patch.

extra }, sorry. Build bustage.
Trunk fixed
new revision: 1.97; previous revision: 1.96 

submitting fixed patch for 1.8* soon
Comment 6 Sergei Dolgov 2005-09-28 10:17:26 PDT
Created attachment 197727 [details] [diff] [review]
patch

removed extra }
Nielx, please test it again before 1.8* commit (if patch applies cleanly and
builds ok).
I'm very sorry
Comment 7 Blake Kaplan (:mrbkap) 2005-10-03 23:35:06 PDT
Checking in widget/src/beos/nsWindow.cpp;
/cvsroot/mozilla/widget/src/beos/nsWindow.cpp,v  <--  nsWindow.cpp
new revision: 1.91.4.5; previous revision: 1.91.4.4
done
Comment 8 Asa Dotzler [:asa] 2005-10-05 11:44:46 PDT
did this land on the branch? If so, please add the fixed1.8 keyword. If not,
then it didn't make 1.8b5 so please request approval for rc1 if you think it's
warranted.

Note You need to log in before you can comment on or make changes to this bug.